#!/bin/sh

 USAGE="$0 [base] [new] "
i=1
>out
for line in `cat $1 | awk '{print $1}' `
do   
     isLine=`echo $line | egrep = 2>/dev/null`
     if [ -n "$isLine" ] ; then
        value=`echo $line | awk -F"=" '{print $1}'`
        #cut -f1 -d= 2>/dev/null`
        if [ -n "$value" ] ; then 
             isLine=`cat $2 | egrep ^$value= 2>/dev/null`
             if [ -z "$isLine" ] ; then
                  echo "$i -- $line"
                  echo "$i " >>out
                  echo "$line ">>out
             fi
        fi
     fi
     i=`expr $i + 1`
done
